Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginFunctionDefinition

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginFunctionDefinition

    public class PluginFunctionDefinition

extends PluginSBase

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginFunctionDefinition(java.lang.String id)` Constructor

Method Summary
`java.lang.String` | `getId()`
`ASTNode` | `getMath()`
`java.lang.String` | `getName()`
`void` | `setMath(ASTNode math)` Sets the Math of this PluginFunctionDefinition to the given ASTNode.
`void` | `setName(java.lang.String name)` Sets the name of this PluginFunctionDefinition.
`void` | `update(PluginFunctionDefinition function)` Updates all properties of this PluginFunctionDefinition to the same as the given PluginFunctionDefinition.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginFunctionDefinition

    public PluginFunctionDefinition(java.lang.String id)

  Constructor

  Parameters:
    `id` - the id of this PluginFunctionDefinition.

Method Detail

### update

    public void update(PluginFunctionDefinition function)

  Updates all properties of this PluginFunctionDefinition to the same as the given PluginFunctionDefinition.

  Parameters:
    `function` -

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginFunctionDefinition.

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginFunctionDefinition.

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginFunctionDefinition.

  Parameters:
    `name` -

### getMath

    public ASTNode getMath()

  Returns:
    the Math of this PluginFunctionDefinition.

### setMath

    public void setMath(ASTNode math)

  Sets the Math of this PluginFunctionDefinition to the given ASTNode.

  Parameters:
    `math` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD